# dmd.dmsc

Configures and initializes the backend.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: dmsc.d

Documentation: https://dlang.org/phobos/dmd_dmsc.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/dmsc.d

- `backend_init`

  #### Declaration

  `void `backend_init`();`

  Initialize config variables.

- `_align`

  #### Declaration

  `targ_size_t `_align`(targ_size_t `size`, targ_size_t `offset`);`

  Return aligned '`offset`' if it is of `size` '`size`'.

- `size`

  #### Declaration

  `targ_size_t `size`(tym_t `ty`);`

  Get `size` of `ty`

- `symboldata`

  #### Declaration

  `Symbol* `symboldata`(targ_size_t `offset`, tym_t `ty`);`

  Generate symbol of type `ty` at DATA:`offset`

- `backend_term`

  #### Declaration

  `void `backend_term`();`